
% Deterministic model single cell (Fig3B)
DefaultParams_nonDim
tau = [29];
Tend = 1500;
options=ddeset('RelTol',1e-5);
sol = dde23(@Delay,tau,[0;0;0],[0, Tend],[options],parms);
plot(sol.x,sol.y(2,:),'color',[0 0.5 0])
time = sol.x'/60;
y = (sol.y(2,:))';
%%
% Deterministic full model population (Fig3E)
DefaultParams_nonDim
tau = [29];
Tend = 600;
options=ddeset('RelTol',1e-5);
sol = dde23(@Delay,tau,[0;0;0],[0, Tend],[options],parms);
plot(sol.x,sol.y(2,:),'color',[0 0.5 0])
time = sol.x'/60;
y = (sol.y(1,:))';
%%
% stochastic single cell (Fig3C) - note may look different due to
% stochasticity
DefaultParams_nonDim
N = 1;%5;% 50];
Tend = 1500;
Output_Times = 29:5:(Tend+29);
totalreps = 1;
mstart = 0;%20*N; % initial conditions
pstart = 0;%400*N;
rstart = 0;

[ mout,pout,rout ] = GillespieTiming(N,parms,totalreps,mstart, pstart, rstart, tau,Output_Times); 

Output_Times = (Output_Times-29)/60;

plot(Output_Times,pout,'color',[0 0.5 0])
Output_Times = Output_Times';
pout = pout';

%%
% stochastic population level (Fig3F)
DefaultParams_nonDim
N = 1;%5;% 50];
Tend = 600;
Output_Times = 29:5:(Tend+29);
totalreps = 2000;

mstart = 0;%20*N; % initial conditions
pstart = 0;%400*N;
rstart = 0;

[ mout,pout,rout ] = GillespieTiming(N,parms,totalreps,mstart, pstart, rstart, tau,Output_Times); 

Output_Times = (Output_Times-29)/60;

mave = mean(mout);
plot(Output_Times,mave,'color',[0 0.5 0])

Output_Times = Output_Times';
mave = mave';

%%
% these single cell time traces were then copied into the prism file